net.sourceforge.pmd

## Class ASTPackageDeclarationTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ASTPackageDeclarationTest

-     public class ASTPackageDeclarationTest
      extends ParserTst

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTPackageDeclarationTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testPackageName()` Regression test for bug 3524607.

    - ### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

      `buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTPackageDeclarationTest

          public ASTPackageDeclarationTest()

  - ### Method Detail

    - #### testPackageName

          public void testPackageName()
                               throws Throwable

      Regression test for bug 3524607.
      Throws:
        `Throwable` - any error

Copyright © 2002-2013 InfoEther. All Rights Reserved.